%define name bayonnedb
%define release 3mdk
%define version 0.2.0
%define dsopath %_libdir/bayonnedb/%version

Summary: bayonnedb - realtime telephony database server
Name: %name
Version: %version
Release: %release
Group: Communications
Source: %name-%version.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/bayonnedb-root
Url: http://www.bayonne.cx
BuildRequires: libCommonC++1.9_3-devel

%description
Bayonnedb offers realtime database transactions for telephony
applications.  This includes the ability to record call detail, to
provide realtime call billing and debit calling services, etc.  Each
server is provided as a plugin loadable module which can be selectivily
activated on the target platform, along with a plugin loadable database
"driver" to talk with the actual storage subsystem.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

./configure --prefix=%{_prefix}

%build

%make

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/bayonnedb/postgres
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
make prefix=$RPM_BUILD_ROOT/%{_prefix} etc_prefix=$RPM_BUILD_ROOT/etc \
	mandir=$RPM_BUILD_ROOT/%{_mandir} etc_suffix="" install
#make prefix=$RPM_BUILD_ROOT/%{_prefix} \
#	mandir=$RPM_BUILD_ROOT/%{_mandir} man

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%config %attr(-,root,root) %_sysconfdir/bayonnedb.conf
%{dsopath}
%_includedir/cc++/bayonnedb.h
%_sbindir/bayonnedb
%_datadir/bayonnedb/postgres
%_sysconfdir/rc.d/init.d/bayonnedb

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add bayonnedb

%preun
/sbin/chkconfig --del bayonnedb

%changelog
* Tue Feb 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-3mdk
- rebuild

* Fri Nov 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-2mdk
- rebuild against new libCommonC++

* Tue Nov 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- needed for Bayonne


